PETSc version 3.15.5
Fix/Edit manual page

# PCMGSetResidualTranspose

Sets the function to be used to calculate the residual of the transposed linear system on the lth level.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetResidualTranspose(PC pc,PetscInt l,PetscErrorCode (*residualt)(Mat,Vec,Vec,Vec),Mat mat)

Logically Collective on PC

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) to supply
| residualt | - function used to form transpose of residual, if none is provided the previously provide one is used, if no previous one were provided then a default is used
| mat | - matrix associated with residual

### See Also

PCMGResidualTransposeDefault()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages